EDIT - bug #9472

Encoding problem with ProxyUtils.CollectionType leading to failing lazy collection loading

02/19/2021 11:07 AM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

The method

return this.name () .toLowerCase ();

seems to be encoding dependend, leading e.g. in Turkisch installations to different usage of letter

Associated revisions

Revision 707e14fa - 02/19/2021 11:08 AM - Andreas Miiller
fix #9472 fix encoding issue in ProxyUtils.CollectionType.toString()

History

#1 - 02/19/2021 11:08 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|707e14fada836b1ff3fe6e83d0de6508baeb2bc6.

#2 - 02/19/2021 11:11 AM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

Please review.

#3 - 02/24/2021 11:47 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 100

looks fine and works as expected (tested on turkish os)
